﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _944413_RadGridViewObjectRelational
{
    public class DataContext
    {
        private static IList<User> userField = null;

        protected DataContext()
        {
        }

        public static IList<User> Users
        {
            get
            {
                if (userField == null)
                {
                    userField = new List<User>();
                    GenerateUsers();
                }

                return userField;
            }
        }

        private static void GenerateUsers()
        {
            for (int i = 0; i < 100; i++)
            {
                User currentUser = new User() 
                {
                    Id = i,
                    Name = "User" + i
                };

                for (int j = 0; j < 10; j++)
                {
                    Topic currentTopic = new Topic() 
                    {
                        Id = i * 10  + j,
                        Area = "Area" + i + ":" + j,
                        Description = "Description" + i + ":" + j
                    };

                    currentUser.Topics.Add(currentTopic);
                }

                userField.Add(currentUser);
            }
        }
    }
}
